function [ out ] = proxf2( F, xn, x0, zacDir, konDir )
%Výpočet proximálního operátoru proxf2
%   jedná  se o ortogonální projekci
out = xn - frana(F, doplniNuly(frsyn(F,xn),zacDir:konDir)) + x0;
end

